Name:           perl-Event-ExecFlow
Version:        0.63
Release:        4%{?dist}
Summary:        High level API for event-based execution flow control

Group:          Development/Libraries
License:        (GPL+ or Artistic) and LGPLv2+
URL:            http://search.cpan.org/dist/Event-ExecFlow/
Source0:        http://search.cpan.org/CPAN/authors/id/J/JR/JRED/Event-ExecFlow-%{version}.tar.gz
Patch0:         Event-ExecFlow-0.63-rm_anyevent_prov.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(AnyEvent)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Locale::TextDomain)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Event::ExecFlow offers a high level API to declare jobs, which mainly execute
external commands, parse their output to get progress or other status
information, triggers actions when the command has been finished etc. Such jobs
can be chained together in a recursive fashion to fulfill rather complex tasks
which consist of many jobs.


%prep
%setup -q -n Event-ExecFlow-%{version}

# Convert encoding
for f in $(find lib/ -name *.pm) README ; do
cp -p ${f} ${f}.noutf8
iconv -f ISO-8859-1 -t UTF-8 ${f}.noutf8 > ${f}
touch -r ${f}.noutf8 ${f}
rm ${f}.noutf8
done

%patch0 -p1


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'

# Fix perm
chmod 0755 $RPM_BUILD_ROOT%{_bindir}/execflow


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
# This file is GPL+ or Artistic
%{_bindir}/execflow
# Theses files are LGPLv2+
%{perl_vendorlib}/Event/
%{_mandir}/man3/*.3*


%changelog
* Sun Jul 20 2008 kwizart < kwizart at gmail.com > - 0.63-4
- Update license to (GPL+ or Artistic) and LGPLv2+

* Mon Jul 14 2008 kwizart < kwizart at gmail.com > - 0.63-3
- Fix directory ownership
- Fix execflow perm
- Fix perl Encoding
- Fix License to LGPLv2+

* Thu Jul 10 2008 kwizart < kwizart at gmail.com > - 0.63-2
- Add BR Test::More and Locale::TextDomain

* Wed Apr 30 2008 kwizart < kwizart at gmail.com > - 0.63-1
- Initial package for Fedora
